Subject: Re: [PATCH v2 6/7] net: dsa: b53: Add logic for TX timestamping

From: Vladimir Oltean <[email-masked]>
Date: Wed, 10 Nov 2021 17:23:41 +0200

On Wed, Nov 10, 2021 at 07:08:55AM -0800, Richard Cochran wrote:
> In any case, I agree that the driver should enable the capabilities of
> the HW and not impose artificial limitations.

Which was not my actual point. We were discussing whether the kernel
should attempt to take a 2-step TX timestamp if a different one is
outstanding, be it from the same socket or from a different one.
Whether the hardware supports multiple concurrent TX timestamps is
orthogonal to that.